#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'beautiful_url/project/project.rb'
# =========================================================================== #
module BeautifulUrl

  # ========================================================================= #
  # === BeautifulUrl.project_base_directory?
  # ========================================================================= #
  def self.project_base_directory?
    File.absolute_path("#{__dir__}/..")+'/'
  end; self.instance_eval { alias project_base_dir? project_base_directory? } # === BeautifulUrl.project_base_dir?
       self.instance_eval { alias project_dir?      project_base_directory? } # === BeautifulUrl.project_dir?
       self.instance_eval { alias base_dir?         project_base_directory? } # === BeautifulUrl.base_dir?
       self.instance_eval { alias base_directory?   project_base_directory? } # === BeautifulUrl.base_directory?

end

if __FILE__ == $PROGRAM_NAME
  puts BeautifulUrl.project_base_dir?
end