#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will contain links to .pdf files.
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/pdf_books_menu.rb'
# =========================================================================== #
module BeautifulUrl

  # ========================================================================= #
  # === BeautifulUrl.pdf_books_menu
  # ========================================================================= #
  def self.pdf_books_menu(
      i = :paper
    )
    case i.to_s # case tag, casetag
    # ======================================================================= #
    # === rf "Stryer Biochemistry"
    # ======================================================================= #
    when /^Stryer(_|-| )?Biochemistry$/i
      'http://62.182.86.140/main/2853000/14081845b82785c0656c0a08ca505822/Jeremy%20M.%20Berg_%20John%20L.%20Tymoczko_%20Gregory%20J.%20Gatto%2C%20Jr._%20Lubert%20Stryer%20-%20Biochemistry-W.%20H.%20Freeman%20%282019%29.pdf'
    else
      return i # Must return the original input in this case.
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  puts BeautifulUrl.pdf_books_menu(:paper)
end