#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/return_location_of_the_menu_file.rb'
# =========================================================================== #
module BeautifulUrl

  require 'beautiful_url/constants/base_constants.rb'

  # ========================================================================= #
  # === BeautifulUrl.return_location_of_the_menu_file
  #
  # This method is only useful on my home system.
  # ========================================================================= #
  def self.return_location_of_the_menu_file
    BASE_DIR+
    'programming/ruby/src/beautiful_url/'\
    'lib/beautiful_url/toplevel_methods/local_menu.rb'
  end

end


if __FILE__ == $PROGRAM_NAME
  puts BeautifulUrl.return_location_of_the_menu_file  
end