#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will specifically contain links to job-related offers.
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/jobs_menu.rb'
# =========================================================================== #
module BeautifulUrl

  # ========================================================================= #
  # === BeautifulUrl.jobs_menu
  # ========================================================================= #
  def self.jobs_menu(
      i = :top
    )
    case i # case tag
    # ======================================================================= #
    # === rf stelle1
    # ======================================================================= #
    when 'stelle1',
         'job1'
      'https://www.biotechjobs.at/55000/0/Team-leader-in-bioinformatics-(m-f-d)'
      # 'https://www.meduniwien.ac.at/hp/pathobiochemie-und-genetik/news/singleview/?tx_ttnews%5Btt_news%5D=5836&cHash=5a6e0c210e9e61fdf895364b0c14fc47'
      # 'https://www.meduniwien.ac.at/hp/pathobiochemie-und-genetik/news/singleview/?tx_ttnews[tt_news]=5201&cHash=ee2c18e01afeda612a57625fa1776815'
    # ======================================================================= #
    # === rf "ygion"
    # ======================================================================= #
    when /^ygion$/i
      'https://biotechjobs.at/52623/Bioinformatician-(m/f/d)'
    # ======================================================================= #
    # === rf tucareer
    # ======================================================================= #
    when 'tucareer'
      'https://www.tucareer.com/Jobs/Stellenmarkt'
    # ======================================================================= #
    # === rf stepstone_jobs
    # ======================================================================= #
    when 'stepstone_jobs','studentenjobs'
      'https://www.stepstone.at/5/ergebnisliste.html?offset=0&reloadedSearch=1'
    # ======================================================================= #
    # === rf laccone
    # ======================================================================= #
    when 'laccone'
      'https://www.meduniwien.ac.at/hp/pathobiochemie-und-genetik/wissenschaft-forschung/institut-fuer-medizinische-genetik/laccone/'
      #'https://pbg.meduniwien.ac.at/forschung/institut-fuer-medizinische-genetik/forschungsgruppen/laccone-lab/'
    # ======================================================================= #
    # === rf intern
    # ======================================================================= #
    when 'intern',
         'job2'
      'http://www.meduniwien.ac.at/hp/hai/arbeitsgruppen/molekulare-immunologie/huppa-lab/jobs-research-opportunities/'
    # ======================================================================= #
    # === rf fwf_jobs
    # ======================================================================= #
    when 'fwf_jobs','fwf'
      'https://www.fwf.ac.at/en/service/fwf-job-market/'
    # ======================================================================= #
    # === rf mainjob
    # ======================================================================= #
    when 'mainjob','myjob' # Das ist zur Zeit "Gene Therapy".
      'https://www.biotechjobs.at/job.php?aid=12794&ref=inx'
    # ======================================================================= #
    # === rf ruby_jobs
    # ======================================================================= #
    when /^ruby(_|-)?jobs$/i
      'https://weworkremotely.com/remote-jobs/search?utf8=%E2%9C%93&term=ruby'
    # ======================================================================= #
    # === rf rubyjobs
    # ======================================================================= #
    when 'rubyjobs'
      'https://www.honeypot.io/lp/join?utm_source=quora.com&utm_medium=paid&utm_term=quora-eu_en-intr-rby&utm_content=intr&utm_campaign=rby-eu'
    # ======================================================================= #
    # === rf biotechjobs
    # ======================================================================= #
    when 'biotechjobs',
         'nicejobs',
         'biotech_jobs',
         'jobs2'
      'https://www.biotechjobs.at/'
    # ======================================================================= #
    # === rf jobs_at_molekularbiologie
    # ======================================================================= #
    when /^jobs(_|-| )?at(_|-| )?molekularbiologie$/i
      'https://www.jobs.at/j/molekularbiologie'
    # ======================================================================= #
    # === rf christoph_bock
    # ======================================================================= #
    when 'christoph_bock','team1','cemm','newjob','job'
      'http://www.cemm.oeaw.ac.at/research/groups/christoph-bock-group/'
    when 'bioinf2'
      'https://www.fwf.ac.at/en/service/fwf-job-market/job-description/jid/20150821-452/'
    when 'unijob','unijobs','uni_jobs','karriere'
      'http://www.unijobs.at/'
    when 'univie_jobs2','uni_job'
      'https://molevodevo.univie.ac.at/job-opportunities/'
    when 'univie_jobs'
      'https://univis.univie.ac.at/ausschreibungstellensuche/flow/bew_ausschreibung-flow?_flowExecutionKey=_cAD35628A-A957-56E6-BE06-9D9B280631CF_kCDEDF852-4F5B-A76C-DE33-C8DF49BC9EBA'
    when 'novartis_job'
      'http://www.novartis.at/karriere/kontakt/index.shtml'
    when 'novartis'
      'http://www.novartis.at/karriere/index.shtml'
    when 'embl_jobs'
      'http://www.embl.de/aboutus/jobs/'
    when 'jobs_boehringer_österreich'
      'http://jobs.boehringer-ingelheim.at/boeviejob.php'
    when 'jobs_at_boehringer'
      'https://boehringer.taleo.net/careersection/2/jobsearch.ftl?lang=en&location=150140752929'
    when 'remote_jobs'
      'http://ab-tec.tuwien.ac.at/vacancies.html'
    when 'jobs3'
      'http://ec.europa.eu/euraxess/index_en.cfm?l1=0&l2=1&CFID=88612&CFTOKEN=33838df9bc329d42-4C3A464B-0F59-4881-F79496DEE8E8DC87'
    else
      return i # Must return the original input in this case.
    end
  end

end