# -*- encoding: utf-8 -*-
# stub: beautiful_url 1.5.58 ruby lib

Gem::Specification.new do |s|
  s.name = "beautiful_url".freeze
  s.version = "1.5.58"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.4.10".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2023-04-05"
  s.description = "\nThis is a medium-sized gem which attempts to handle \"matching\" a String\nor a Symbol against (remote) URLs. The project was created in order to\nuse short identifiers that can pinpoint to remote URLs, a bit similar\nto how shorturl is working.\n\nThe gem is, however had, tailored to my use cases, so it will most\nlikely be utterly useless to other people by default. Most downloads\nof this gem happen by scripts and bots, so do not think that the \ndownload numbers imply anything about \"real\" usage - the gem is \nway too much tailored to my own use case.\n\nIn the long run, though, the project may be extended to allow the\ncustom loading of yaml files, for a later release - but for now,\nI do not think that this project will be useful to anyone else. \n\nMore documentation can be found at:\n\n  https://www.rubydoc.info/gems/beautiful_url/\n    \n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.homepage = "https://rubygems.org/gems/beautiful_url".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n  You should be able to invoke bin/beautiful_url via:\n\n      beautiful_url\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 3.2.2".freeze)
  s.rubygems_version = "3.4.10".freeze
  s.summary = "This is a medium-sized gem which attempts to handle \"matching\" a String or a Symbol against (remote) URLs. The project was created in order to use short identifiers that can pinpoint to remote URLs, a bit similar to how shorturl is working.  The gem is, however had, tailored to my use cases, so it will most likely be utterly useless to other people by default. Most downloads of this gem happen by scripts and bots, so do not think that the  download numbers imply anything about \"real\" usage - the gem is  way too much tailored to my own use case.  In the long run, though, the project may be extended to allow the custom loading of yaml files, for a later release - but for now, I do not think that this project will be useful to anyone else.   More documentation can be found at:  https://www.rubydoc.info/gems/beautiful_url/".freeze

  s.installed_by_version = "3.4.10" if s.respond_to? :installed_by_version
end
